Package org.kie.internal.runtime.manager.audit.query

## Interface AuditLogQueryBuilder<T,​R>

- Type Parameters:
    `T` - The `ParametrizedQueryBuilder` implementation type
    `R` - The entity type on which is being queried
  All Superinterfaces:
    `ExtendedParametrizedQueryBuilder<T,​R>`, `ParametrizedQueryBuilder<T>`, `ProcessIdQueryBuilder<T,​R>`, `ProcessInstanceIdQueryBuilder<T,​R>`
  All Known Subinterfaces:
    `NodeInstanceLogQueryBuilder`, `ProcessInstanceLogQueryBuilder`, `VariableInstanceLogQueryBuilder`

      public interface AuditLogQueryBuilder<T,​R>
      extends ProcessIdQueryBuilder<T,​R>

  This interface defines methods that are used by all of the Audit `ParametrizedQueryBuilder` implementations.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `AuditLogQueryBuilder.OrderBy` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `ascending​(AuditLogQueryBuilder.OrderBy field)` | Specify which field to use when ordering the results, in ascending order.
    `T` | `descending​(AuditLogQueryBuilder.OrderBy field)` | Specify which field to use when ordering the results, in descending order.

    - ### Methods inherited from interface org.kie.internal.query.ExtendedParametrizedQueryBuilder

      `build, endGroup, newGroup`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.ProcessIdQueryBuilder

      `processId`

    - ### Methods inherited from interface org.kie.internal.query.ProcessInstanceIdQueryBuilder

      `processInstanceId, processInstanceIdRange`

- - ### Method Detail

    - #### ascending

          T ascending​(AuditLogQueryBuilder.OrderBy field)

      Specify which field to use when ordering the results, in ascending order. If this method is not used, the results will be ordered in ascending order by the id field.
      Parameters:
        `field` - the field by which the query results should be ordered
      Returns:
        The current instance of this query builder

    - #### descending

          T descending​(AuditLogQueryBuilder.OrderBy field)

      Specify which field to use when ordering the results, in descending order. If this method is not used, the results will be ordered in ascending order by the id field.
      Parameters:
        `field` - the field by which the query results should be ordered
      Returns:
        The current instance of this query builder